30 września 2021 wygasł certyfikat DST Root CA X3 oferowany przez Let’s Encrypt. Jeśli posiadasz starszą wersję WordPress lub też w ostatnich dniach zauważyłeś problemy z pracą niektórych wtyczek – zalecamy natychmiastową aktualizację.

Jednak, jeżeli z jakichś powodów aktualizacja Twojej witryny nie jest możliwa (np. poprzez stosowanie wtyczek niewspierających nowszych wydań WordPress/Joomla), przygotowaliśmy dla Ciebie alternatywne rozwiązanie!

Konieczność aktualizacji pliku ca-bundle.crt (dla WordPress)

Plik ca-bundle.crt (WordPress) znajduje się w katalogu: /wp-includes/certificates i należy zastąpić go plikiem z oficjalnego repozytorium WordPress:

https://github.com/WordPress/WordPress/blob/master/wp-includes/certificates/ca-bundle.crt

Konieczność aktualizacji pliku cacert.pem (dla Joomla)

Plik cacert.pem (Joomla) znajduje się w katalogu: /libraries/src/Http/Transport i należy zastąpić go plikiem z oficjalnego repozytorium Joomla:

https://github.com/joomla/joomla-cms/blob/3.10-dev/libraries/src/Http/Transport/cacert.pem

Czym są pliki ca-bundle.crt/cacert.pem?

Plik ca-bundle.crt/cacert.pem to plik zawierający certyfikaty organów zaufanych (Certificate Authority) oraz certyfikaty pośrednie (intermidiate CA). Wskazane certyfikaty wraz z certyfikatem podmiotu końcowego stanowią łańcuch certyfikatów.

Łańcuch ceryfikatów jest wymagany w celu poprawy zgodności certyfikatów z przeglądarkami internetowymi i innymi rodzajami klientów oraz urządzeń, tak aby przeglądarki rozpoznawały Twój certyfikat i nie pojawiały się żadne ostrzeżenia dotyczące bezpieczeństwa.

Co to jest „CA” w certyfikacie SSL?

CA, czyliCertificate Authority oznacza urząd certyfikacji. Jest to zaufany organ, który wydaje i podpisuje certyfikaty SSL. Te natomiast weryfikują strony www i aplikacje, żebyś miał pewność z kim Twoje urządzenie komunikuje się online.

Wykorzystywana jest tutaj budowa w strukturze łańcucha (ang.certificate chain). Łańcuch ten rozpoczyna Root CA, a na końcu znajduje się certyfikat SSL, wydawany do odbiorcy końcowego, czyli np. domeny, z którą łączy się aplikacja.

Najczęstsze problemy związane z nieaktualnym certyfikatem:

  • brak możliwości połączeń poprzez API do serwisów/serwerów wykorzystujących certyfikaty Let’s Encrypt (cURL error 60: SSL certificate problem: certificate has expired.),
  • brak możliwości wysyłki wiadomości pocztowych poprzez zewnętrzne serwery SMTP wykorzystujące szyfrowanie SSL oparte na certyfikacie Let’s Encrypt,
  • brak możliwości aktualizacji wybranych wtyczek,
  • w niektórych przypadkach, brak możliwości zalogowania się do panelu administracyjnego Joomla lub próba wykonania danej operacji.
Tomasz Urbański
>
Tomasz Urbański
Pasjonat zagadnień e-commerce, administrator, developer rozwiązań przyspieszających działanie stron i sklepów.

3 odpowiedzi na "Ważna informacja dla użytkowników WordPress/Joomla"

  1. Tomasz pisze:

    I to jest konkretny hosting!

  2. Łukasz pisze:

    Super dziękuję za tak ważną informację dla mojej strony. Łatwe to było, ale pewnie nie każdy wie jak to zrobić krok po kroku. Należy pobrać plik na dysk, edytować za pomocą notatnika, następnie kliknąć w ikonę „copy raw contents”, wkleić do edytowanego pliku i wyeksportować.

Skomentuj Tomek Anuluj pisanie odpowiedzi

Twój adres e-mail nie zostanie opublikowany. Wymagane pola są oznaczone *

Polecane dla Ciebie

Szukasz dalej?